%define		php_name	php%{?php_suffix}
%define		modname		xattr
Summary:	%{modname} - extended attributes
Summary(pl.UTF-8):	%{modname} - rozszerzone atrybuty
Name:		%{php_name}-pecl-%{modname}
Version:	1.2.0
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	f6b2bd0be8f88a0b29e7608e3d190df6
URL:		http://pecl.php.net/package/xattr/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	attr-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-xattr < 1.2.0-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows to manipulate extended attributes on filesystems
that support them. Requires libattr from Linux XFS project.

%description -l pl.UTF-8
Ten pakiet umożliwia manipulowanie rozszerzonymi atrybutami systemów
plików.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS tests/
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon May 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-xattr.git;a=log;h=auto/th/php-pecl-xattr-1.2.0-4

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 8332586
- obsolete old php name
- release 4 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 52c4128
- php 5.5 rebuild
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> ba49dd3
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> a491487
- up to 1.2.0

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 4cdfbab
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 0edf477
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 8699e85
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d1e755c
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> cad316f
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> d2bb087
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Sat Jul 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 4917802
- updated to 1.1.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3242d09
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f3b6567
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 5fdb089
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 5d8cc71
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 2ce4c23
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 4d15a62
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> f6a105a
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> f915dfe
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 3a7a4b5
- rel 2

